<<<<<<< HEAD
//<#!@READ-ONLY-SECTION-START@!#>
/*
 * \class cfm_aic_mu_projectapp
 * \brief Intel(R) CoFluent(TM) Studio - Intel Corporation
 * \details Simulation model of AIC_MU_ProjectApp generated by C++ Generator for SystemC/TLM2
 */
#include "cfm_aic_mu_projectapp.h"
using namespace std;
using namespace sc_core;
using namespace cf_dt;
using namespace cf_pk;
using namespace cf_core;

//<#!@READ-ONLY-SECTION-END@!#>
//Start of 'AIC_MU_ProjectApp definitions' algorithm generated code

//End of 'AIC_MU_ProjectApp definitions' algorithm generated code
//<#!@READ-ONLY-SECTION-START@!#>

/// \name constructor
//@{
cfm_aic_mu_projectapp::cfm_aic_mu_projectapp(sc_core::sc_module_name name) :
		cf_application(name), mq_MsgQ("MsgQ") {
	cf_application::init();

	Function = new cfm_function("Function");

	Producer = new cfm_producer("Producer");

	// connections
	Function->p_mq_MsgQ(mq_MsgQ.p_target_socket);

	Producer->p_mq_MsgQ(mq_MsgQ.p_target_socket);

	//<#!@READ-ONLY-SECTION-END@!#>
	//Start of 'AIC_MU_ProjectApp constructor' algorithm generated code

	//End of 'AIC_MU_ProjectApp constructor' algorithm generated code
	//<#!@READ-ONLY-SECTION-START@!#>

	cf_application::elab_end();
}
//@}

/// \name destructor
//@{
cfm_aic_mu_projectapp::~cfm_aic_mu_projectapp(void) {
	//<#!@READ-ONLY-SECTION-END@!#>
	//Start of 'AIC_MU_ProjectApp destructor' algorithm generated code

	//End of 'AIC_MU_ProjectApp destructor' algorithm generated code
	//<#!@READ-ONLY-SECTION-START@!#>
	delete Function;
	delete Producer;
}
//@}

/// \name pre-elaboration section
//@{
void cfm_aic_mu_projectapp::cb_before_elaboration(void) {
	//<#!@READ-ONLY-SECTION-END@!#>
	//Start of 'AIC_MU_ProjectApp pre elaboration' algorithm generated code

	//End of 'AIC_MU_ProjectApp pre elaboration' algorithm generated code
	//<#!@READ-ONLY-SECTION-START@!#>
}
//@}

/// \name post-elaboration section
//@{
void cfm_aic_mu_projectapp::cb_end_of_elaboration(void) {
//<#!@READ-ONLY-SECTION-END@!#>
//Start of 'AIC_MU_ProjectApp post elaboration' algorithm generated code

//End of 'AIC_MU_ProjectApp post elaboration' algorithm generated code
//<#!@READ-ONLY-SECTION-START@!#>
}
//@}

/// \name post-simulation section
//@{
void cfm_aic_mu_projectapp::cb_end_of_simulation(void) {
	//<#!@READ-ONLY-SECTION-END@!#>
	//Start of 'AIC_MU_ProjectApp post simulation' algorithm generated code

	//End of 'AIC_MU_ProjectApp post simulation' algorithm generated code
	//<#!@READ-ONLY-SECTION-START@!#>

}
//@}

/// \name initialize attributes
//@{
void cfm_aic_mu_projectapp::cb_init_attributes() {

// initialize function attributes
	cfa_cycle_period.init(cf_expr_time(10, CF_NS));

// initialize relations attributes
	mq_MsgQ.cfa_send_time.init(cf_expr_duration(1, CF_NS));
	mq_MsgQ.cfa_receive_time.init(cf_expr_duration(1, CF_NS));
	mq_MsgQ.cfa_queue_policy.init(CF_MQ_POLICY_FIFO_FINITE);
	mq_MsgQ.cfa_queue_capacity.init((cf_nonzero_count) 1);
	mq_MsgQ.cfa_concurrency.init((cf_nonzero_count) 1);
	mq_MsgQ.cfa_send_threshold.init((cf_nonzero_count) 1);
	mq_MsgQ.cfa_receive_threshold.init((cf_nonzero_count) 1);

	return;
}
//@}

/// \name initialize definitions
//@{
void cfm_aic_mu_projectapp::cb_init_local_vars(void) {
	//<#!@READ-ONLY-SECTION-END@!#>
	//Start of 'AIC_MU_ProjectApp initializations' algorithm generated code

	//End of 'AIC_MU_ProjectApp initializations' algorithm generated code
	//<#!@READ-ONLY-SECTION-START@!#>
}
//@}


=======
//<#!@READ-ONLY-SECTION-START@!#>
/*
 * \class cfm_aic_mu_projectapp
 * \brief Intel(R) CoFluent(TM) Studio - Intel Corporation
 * \details Simulation model of AIC_MU_ProjectApp generated by C++ Generator for SystemC/TLM2
 */
#include "cfm_aic_mu_projectapp.h"
using namespace std;
using namespace sc_core;
using namespace cf_dt;
using namespace cf_pk;
using namespace cf_core;

//<#!@READ-ONLY-SECTION-END@!#>
//Start of 'AIC_MU_ProjectApp definitions' algorithm generated code

//End of 'AIC_MU_ProjectApp definitions' algorithm generated code
//<#!@READ-ONLY-SECTION-START@!#>

/// \name constructor
//@{
cfm_aic_mu_projectapp::cfm_aic_mu_projectapp(sc_core::sc_module_name name) :
		cf_application(name), mq_MsgQ("MsgQ") {
	cf_application::init();

	BetterFunction = new cfm_betterfunction("BetterFunction");

	Consumer = new cfm_consumer("Consumer");

	Producer = new cfm_producer("Producer");

	// connections

	Consumer->p_mq_MsgQ(mq_MsgQ.p_target_socket);

	Producer->p_mq_MsgQ(mq_MsgQ.p_target_socket);

	//<#!@READ-ONLY-SECTION-END@!#>
	//Start of 'AIC_MU_ProjectApp constructor' algorithm generated code

	//End of 'AIC_MU_ProjectApp constructor' algorithm generated code
	//<#!@READ-ONLY-SECTION-START@!#>

	cf_application::elab_end();
}
//@}

/// \name destructor
//@{
cfm_aic_mu_projectapp::~cfm_aic_mu_projectapp(void) {
	//<#!@READ-ONLY-SECTION-END@!#>
	//Start of 'AIC_MU_ProjectApp destructor' algorithm generated code

	//End of 'AIC_MU_ProjectApp destructor' algorithm generated code
	//<#!@READ-ONLY-SECTION-START@!#>
	delete BetterFunction;
	delete Consumer;
	delete Producer;
}
//@}

/// \name pre-elaboration section
//@{
void cfm_aic_mu_projectapp::cb_before_elaboration(void) {
	//<#!@READ-ONLY-SECTION-END@!#>
	//Start of 'AIC_MU_ProjectApp pre elaboration' algorithm generated code

	//End of 'AIC_MU_ProjectApp pre elaboration' algorithm generated code
	//<#!@READ-ONLY-SECTION-START@!#>
}
//@}

/// \name post-elaboration section
//@{
void cfm_aic_mu_projectapp::cb_end_of_elaboration(void) {
//<#!@READ-ONLY-SECTION-END@!#>
//Start of 'AIC_MU_ProjectApp post elaboration' algorithm generated code

//End of 'AIC_MU_ProjectApp post elaboration' algorithm generated code
//<#!@READ-ONLY-SECTION-START@!#>
}
//@}

/// \name post-simulation section
//@{
void cfm_aic_mu_projectapp::cb_end_of_simulation(void) {
	//<#!@READ-ONLY-SECTION-END@!#>
	//Start of 'AIC_MU_ProjectApp post simulation' algorithm generated code

	//End of 'AIC_MU_ProjectApp post simulation' algorithm generated code
	//<#!@READ-ONLY-SECTION-START@!#>

}
//@}

/// \name initialize attributes
//@{
void cfm_aic_mu_projectapp::cb_init_attributes() {

// initialize function attributes
	cfa_cycle_period.init(cf_expr_time(10, CF_NS));

// initialize relations attributes
	mq_MsgQ.cfa_send_time.init(cf_expr_duration(1, CF_NS));
	mq_MsgQ.cfa_receive_time.init(cf_expr_duration(1, CF_NS));
	mq_MsgQ.cfa_queue_policy.init(CF_MQ_POLICY_FIFO_FINITE);
	mq_MsgQ.cfa_queue_capacity.init((cf_nonzero_count) 1);
	mq_MsgQ.cfa_concurrency.init((cf_nonzero_count) 1);
	mq_MsgQ.cfa_send_threshold.init((cf_nonzero_count) 1);
	mq_MsgQ.cfa_receive_threshold.init((cf_nonzero_count) 1);

	return;
}
//@}

/// \name initialize definitions
//@{
void cfm_aic_mu_projectapp::cb_init_local_vars(void) {
	//<#!@READ-ONLY-SECTION-END@!#>
	//Start of 'AIC_MU_ProjectApp initializations' algorithm generated code

	//End of 'AIC_MU_ProjectApp initializations' algorithm generated code
	//<#!@READ-ONLY-SECTION-START@!#>
}
//@}


>>>>>>> refs/remotes/origin/master
//<#!@READ-ONLY-SECTION-END@!#>